# $Revision: 1.17 $, $Date: 2002/11/07 21:52:35 $
Summary:	Interactive astronomy program
Summary(pl):	Interaktywny program astronomiczny
Name:		xephem
Version:	3.5.2
Release:	5
License:	distributable with free-unices distros, free for non-profit non-commercial purposes
Group:		X11/Applications/Science
Source0:	http://www.clearskyinstitute.com/xephem/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://www.clearskyinstitute.com/xephem/
BuildRequires:	XFree86-devel
BuildRequires:	lesstif-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
XEphem  \eks-i-'fem\   n.   [X Window + Ephemeris]   (1990)
XEphem is a star-charting, sky-simulating, ephemeris-generating
celestial virtuoso.

%description -l pl
XEphem  \eks-i-'fem\   n.   [X Window + Ephemeris]   (1990)
XEphem jest programem sporzdzajcym map gwiazd, symulujcym niebo,
efemerydalnie generujcym sfer niebiesk wirtuozem. Udostpnia wiele
informacji o satelitach Ziemi, Ukadzie Sonecznym i odlegych
obiektach astronomicznych, w formie graficznej i liczbowej, w ukadzie
geocentrycznym, heliocentrycznym i topocentrycznym.

%package tools
Summary:	Additional tools for use with XEphem
Summary(pl):	Dodatkowe narzdzia dla XEphema
Group:		X11/Applications/Science
Requires:	%{name} = %{version}

%description tools
astorb2edb - convert astorb.txt to 2 .edb files,
mpcorb2edb - convert MPCORB.DAT to 2 .edb files,
lx200xed - a daemon to connect XEphem to a Meade LX200 telescope,
XEphemdbd - is a filter to find astronomical objects within a given
	    field of view.

%description tools -l pl
astorb2edb - konwertuje astorb.txt do 2 plikw .edb,
mpcorb2edb - konwertuje MPCORB.DAT do 2 plikw .edb,
lx200xed - demon do poczenia XEphema z teleskopem Meade LX200,
XEphemdbd - filt do odnajdywania obiektw astronomicznych wg zadanych
	    pl opisu.

%prep
%setup -q

mv GUI/xephem/tools/lx200xed/README GUI/xephem/tools/lx200xed/README-lx

%build
%{__make} -C libastro	CC="%{__cc}" CFLAGS="%{rpmcflags}"
%{__make} -C libip	CC="%{__cc}" CFLAGS="%{rpmcflags} -I../libastro"
cd GUI/xephem
xmkmf -a
%{__make} CC="%{__cc}" CDEBUGFLAGS="%{rpmcflags}"
cd tools/lx200xed
%{__make} CC="%{__cc}" CFLAGS="%{rpmcflags} -I../../../../libastro"
cd ../xephemdbd
%{__make} CC="%{__cc}" CFLAGS="%{rpmcflags} -I../../../../libastro"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name},%{_mandir}/man1} \
	$RPM_BUILD_ROOT{%{_applnkdir}/Scientific/Astronomy,%{_pixmapsdir}} \
	$RPM_BUILD_ROOT%{_libdir}/X11/app-defaults

install GUI/xephem/xephem $RPM_BUILD_ROOT%{_bindir}
cp -a GUI/xephem/auxil $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a GUI/xephem/catalogs $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a GUI/xephem/fifos $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a GUI/xephem/fits $RPM_BUILD_ROOT%{_datadir}/%{name}

install GUI/xephem/xephem.man $RPM_BUILD_ROOT%{_mandir}/man1/xephem.1

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Scientific/Astronomy
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
echo XEphem.ShareDir: %{_datadir}/%{name} > $RPM_BUILD_ROOT%{_libdir}/X11/app-defaults/XEphem

install GUI/xephem/tools/lx200xed/lx200xed $RPM_BUILD_ROOT%{_bindir}

install GUI/xephem/tools/xephemdbd/xephemdbd $RPM_BUILD_ROOT%{_bindir}
install GUI/xephem/tools/xephemdbd/*.pl $RPM_BUILD_ROOT%{_bindir}

install GUI/xephem/tools/*.pl $RPM_BUILD_ROOT%{_bindir}
cp -f Copyright LICENSE

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE
%attr(755,root,root) %{_bindir}/xephem
%{_datadir}/%{name}
%{_applnkdir}/Scientific/Astronomy/*
%{_pixmapsdir}/*
%{_libdir}/X11/app-defaults/*
%{_mandir}/man1/*

%files tools
%defattr(644,root,root,755)
%doc GUI/xephem/tools/lx200xed/README-lx GUI/xephem/tools/xephemdbd/{INSTALL,README}
%doc GUI/xephem/tools/xephemdbd/*.html
%attr(755,root,root) %{_bindir}/lx200xed
%attr(755,root,root) %{_bindir}/xephemdbd
%attr(755,root,root) %{_bindir}/*.pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xephem.spec,v $
Revision 1.17  2002/11/07 21:52:35  ankry
- added icon to desktop and LICENSE file, rel. 5

Revision 1.16  2002/10/30 07:55:00  kloczek
- simplifications in %install,
- fixes for --short-circuit,
- use proper CC and CFLAGS.

Revision 1.15  2002/10/29 21:49:56  ankry
- applnk: moved to Scientific/Astronomy
- new %%doc, rel. 4

Revision 1.14  2002/09/30 07:45:07  trojan
- changed %%{applnkdir}/Science to Scientific
- release 3; STBR

Revision 1.13  2002/05/01 11:37:04  kloczek
- release 2.

Revision 1.12  2002/04/24 15:36:04  roman
- changed applnk dir from Science to Scientific

Revision 1.11  2002/04/03 12:38:15  gotar
- rewritten from scratch, STBR.

Revision 1.7  2001/11/23 14:54:30  qboosh
- BuildRoot. NOTE: spec should be rewritten.
